<?php
include "../../../backend/sessionheader.inc.php";
include "../../../edit/config.inc.php";
defined('STATS') or die('Statistikmodul ist nicht freigeschaltet!');
if (empty($_SESSION['rights']) || $_SESSION['rights'] < 3) die();
if (isset($_POST['schalter']) && ($_POST['schalter'] == 1 || $_POST['schalter'] == 2)) {
  $schalter = $_POST['schalter'];
} else {
  $schalter = 1;
}
$pfad="../../../scripts/stats/"; // Punkt steht fr dieses Verzeichnis
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=iso-8859-1">
<title>Auswertung</title>
<link rel="stylesheet" type="text/css" href="../../../backend/css/backend.css">
</head>
<body>
<h1>Zugriffsstatistik</h1>
<form action="Zugriffsstatistik.php" method="post" name="passform">
<input type="radio" name="schalter" value="1" <?php if ($schalter == 1) { echo "checked='checked'";} ?>> aktueller Monat 
<input type="radio" name="schalter" value="2" <?php if ($schalter == 2) { echo "checked='checked'";} ?>> alle Monate 
<input type="submit" value="Auswahl treffen">
</form>


<?php
$ausgabe = 0;
$laenge = 600; // Maximallnge fr grafische Balken
if ($schalter == 1) {
  $zusatz=Date("Ym");
  $zusatz="$zusatz.txt";
}
else {
  $zusatz=true;
}

echo "Datum: <b>" . Date('j.m.Y, H:i') . " h</b> (Serverzeit)<br><br>\n";

// ALLE DATEIEN AUSLESEN
// $pfad="."; // NUR ALS SIK

$dirhandle = opendir($pfad);
$i = 0;

while ($file = readdir($dirhandle)) { 
    if ($file == $zusatz && $file!="." && $file !=".." && $file != "compare.txt" && eregi("\.txt$",$file) && !eregi("^ct",$file)) {
        $datum = explode(".", $file);
        $file2 = "ct$file";
        $filename = $pfad . $file;
        $filename2 = $pfad . $file2;
        $fp = fopen($filename, "r");
        $fp2 = fopen($filename2, "r");
        $data = fread($fp, filesize($filename));
        $uv = fread($fp2, filesize($filename2));
        $newct = explode("#", $data); // Array newct erzeugen
        rsort($newct, SORT_NUMERIC); // aufsteigend sortieren
        $ausgabe = "<table border='1' cellspacing='0' cellpadding='2'>";
        $ausgabe .= "<tr><td><b>Hits</b></td><td><b>URLAnhang</b></td><td>".
        "<b>Seitentitel</b></td><td>&nbsp;</td></tr>\n";

        $verkauf = 0;
        $count = 0;
        $faktor = 1;
            foreach ($newct as $key => $value) {
                $lnew = explode("|",$value);
                if ($verkauf == 0) { 
                  if ($lnew[0] > $laenge) {
                    $faktor = $laenge/$lnew[0];
                  }
                }
                $laenge_wert = $lnew[0] * $faktor;
                $laenge_wert = round($laenge_wert);                
                $verkauf += $lnew[0];
                $ausgabe .= "<tr><td>$lnew[0]</td><td>$lnew[1]</td><td>$lnew[2]</td><td>";
                $balken = "";
                $balken .= "<img src='balken.gif' height=\"12\" width=\"$laenge_wert\">";
                $ausgabe .= $balken;
                $ausgabe .= "</td></tr>\n";
            }
        $ausgabe .= "</table>\n";
        $ausgabehead = "<b>$uv</b> &raquo;Unique Visitors&laquo; erzeugten <b>$verkauf</b> Seitenaufrufe bei <b>".count($newct)."</b> aufgerufenen Seiten<br>\n";
        $statistik[$i] = "<td align='right'>" .count($newct) ."</td>\n";
        $sales[$datum[0]] = $verkauf;
      
        if ($schalter == 1) {
                echo "<h2>Aktueller Monat</h2>\n";
            } else {
                echo "<h2>Alle Monate</h2>\n";
            }
        echo "<h4><a href='$pfad$file' title='Datei $file direkt aufrufen'>$datum[0]:</a></h4>\n";
        echo $ausgabehead;
        echo $ausgabe;
        echo "<h4><a href=\"#top\">nach oben</a></h4>";     
    }
}
closedir($dirhandle); // Dateien auslesen Ende
if (empty($ausgabe)) {
  echo "<h2>Keine Statistikinfos verfgbar!</h2>
<p>Haben Sie den Ordner <b>stats</b> freigegeben?
Knnen dort Dateien angelegt werden? Wurden Ihre Seiten berhaupt schon aufgerufen?</p>
<p>Beachten Sie, dass der Ordner <b>stats</b> ggf. mit chmod 755 oder, wenn das nicht reicht, chmod 777 freigegeben werden muss.</p>";
}

?>

<div><small>Ver. 1.0.1 vom 21.03.2009</small></div>
</body>
</html>